QShared(3qt)

NAME
QShared - The QShared struct is internally used for implementing shared classes

SYNOPSIS

#include <qshared.h>

Inherited by QGLayoutIterator, QGuardedPtrPrivate, QMapPrivateBase, QStringData, QValueListPrivate and QVariantPrivate.

DESCRIPTION
The QShared struct is internally used for implementing shared classes.

It only contains a reference count and member functions to increment and decrement it.

Shared classes normally have internal classes that inherit QShared and add the shared data.

See also Shared Classes

SEE ALSO
http://doc.trolltech.com/qshared.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.